CVE-2016-2112: selftest: servers with explicit "ldap server require strong auth"...
authorStefan Metzmacher <metze@samba.org>
Mon, 21 Dec 2015 09:27:33 +0000 (10:27 +0100)
committerStefan Metzmacher <metze@samba.org>
Tue, 12 Apr 2016 17:25:25 +0000 (19:25 +0200)
commite71be8099af8347a487e63b2044d41e9c5dabfc8
tree2b720d48266f8ad632b1538d7cb3fc1dd23e7963
parentc5c5735c1fab19da235af65dd910fcd547cdfa14
CVE-2016-2112: selftest: servers with explicit "ldap server require strong auth" options

The default is "ldap server require strong auth = yes",
ad_dc_ntvfs uses "ldap server require strong auth = allow_sasl_over_tls",
fl2008r2dc uses "ldap server require strong auth = no".

BUG: https://bugzilla.samba.org/show_bug.cgi?id=11644

Signed-off-by: Stefan Metzmacher <metze@samba.org>
Reviewed-by: G√ľnther Deschner <gd@samba.org>
Reviewed-by: Alexander Bokovoy <ab@samba.org>
selftest/target/Samba4.pm